LINUX.ORG.RU

apt-get «сломался»


0

0

Прошу о помощи. Замкнутый круг:

debian:/home/anton# apt-get remove apache2
Reading Package Lists... Done
Building Dependency Tree... Done
Package apache2 is not installed, so not removed
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  apache2-mpm-prefork: Depends: apache2-common (= 2.0.52-1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).



debian:/home/anton# apt-get remove apache2-mpm-prefork
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be REMOVED:
  apache2-mpm-prefork
0 upgraded, 0 newly installed, 1 to remove and 10 not upgraded.
Need to get 0B of archives.
After unpacking 516kB disk space will be freed.
Do you want to continue? [Y/n] Y
debconf: DbDriver "config": could not open /var/cache/debconf/config.dat
(Чтение базы данных... на данный момент установлено 110962 файлов и каталогов.)Удаляется пакет apache2-mpm-prefork...
Stopping web server: Apache2invoke-rc.d: initscript apache2, action "stop" failed.
dpkg: не удалось обработать параметр apache2-mpm-prefork (--remove):
 подпроцесс pre-removal script возвратил код ошибки 1
При обработке следующих пакетов произошли ошибки:
 apache2-mpm-prefork
E: Sub-process /usr/bin/dpkg returned an error code (1)


debian:/home/anton# apt-get install apache2
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  apache2: Depends: apache2-mpm-worker (= 2.0.51-2) but it is not going to be installed or
                    apache2-mpm-prefork (= 2.0.51-2) but 2.0.52-1 is to be installed or
                    apache2-mpm-perchild (= 2.0.51-2) but it is not going to be installed
  apache2-mpm-prefork: Depends: apache2-common (= 2.0.52-1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
★★★★

Re: apt-get "сломался"

You might want to run `apt-get -f install' to correct these:
Не судьба сделать
#apt-get -f install
?
Ананомус в белых тапочках )))

anonymous ()
Ответ на: Re: apt-get "сломался" от anonymous

Re: Re: apt-get "сломался"

debian:/home/anton# apt-get -f install
Reading Package Lists... Done
Building Dependency Tree... Done
Correcting dependencies... Done
The following packages will be REMOVED:
apache2-mpm-prefork
0 upgraded, 0 newly installed, 1 to remove and 10 not upgraded.
Need to get 0B of archives.
After unpacking 516kB disk space will be freed.
Do you want to continue? [Y/n] Y
debconf: DbDriver "config": could not open /var/cache/debconf/config.dat
(Чтение базы данных... на данный момент установлено 110962 файлов и каталогов.)Удаляется пакет apache2-mpm-prefork...
Stopping web server: Apache2invoke-rc.d: initscript apache2, action "stop" failed.
dpkg: не удалось обработать параметр apache2-mpm-prefork (--remove):
подпроцесс pre-removal script возвратил код ошибки 1
При обработке следующих пакетов произошли ошибки:
apache2-mpm-prefork
E: Sub-process /usr/bin/dpkg returned an error code (1)

Selecter ★★★★ ()
Ответ на: Re: Re: apt-get "сломался" от Selecter

Re: Re: Re: apt-get "сломался"

apt-get все пытался сделать правильно. Взгляни на чем он впал в кому -
не удалось погасить apache:
Stopping web server: Apache2invoke-rc.d: initscript apache2, action "stop" failed.
Что нужно сделать ?
К примеру
/sbin/telinit 1
и повторить процедуру....
Успехов.. уставший анонимус-)

anonymous ()
Ответ на: Re: Re: Re: apt-get "сломался" от anonymous

Re: Re: Re: Re: apt-get "сломался"

ЗЫ если не сработает - попробуй через dpkg ... ручками
#dpkg --help | grep remove
dpkg -r|--remove | -P|--purge <package name> ... | -a|--pending

anonymous ()
Ответ на: Re: Re: Re: apt-get "сломался" от anonymous

Re: Re: Re: Re: apt-get "сломался"

Ничего не получается. Решил скормить ему apache2 service:

1. Поставил апач и /etc/init.d/apache2 start

Потом:

# apt-get remove apache2-mpm-prefork
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be REMOVED:
  apache2 apache2-mpm-prefork
0 upgraded, 0 newly installed, 2 to remove and 398 not upgraded.
Need to get 0B of archives.
After unpacking 594kB disk space will be freed.
Do you want to continue? [Y/n] Y
debconf: DbDriver "config": could not open /var/cache/debconf/config.dat
(Чтение базы данных... на данный момент установлено 111356 файлов и каталогов.)
Удаляется пакет apache2...
Удаляется пакет apache2-mpm-prefork...
Stopping web server: Apache2.

Я гений :) Однако, apt-get запарился. Обязательно ему надо сервис остановить, даже если, он не запущен.

Selecter ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.